<?php

declare(strict_types=1);

namespace App\Controller\TblTipoUsuario;

use App\Service\TblTipoUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblTipoUsuarioService(): TblTipoUsuarioService
    {
        return $this->container->get('TblTipoUsuario_service');
    }
}
